Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597112 - get-e2uuid should use blkid instead of "tune2fs -l" to get filesystem UUID
Summary: get-e2uuid should use blkid instead of "tune2fs -l" to get filesystem UUID
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libguestfs
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 627833
TreeView+ depends on / blocked
 
Reported: 2010-05-28 07:05 UTC by Yufang Zhang
Modified: 2010-08-27 05:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 627833 (view as bug list)
Environment:
Last Closed: 2010-06-02 21:32:50 UTC


Attachments (Terms of Use)

Description Yufang Zhang 2010-05-28 07:05:32 UTC
Description of problem:
Currently, get-e2uuid gets filesystem UUID via "tune2fs -l". However, this doesn't work for JBD(journaling block device): whenever you try to get uuid of a JBD, you get a error that tells "Filesystem has unsupported feature(s)". In another way, UUID could be gotten via blkid, for both JBD or filesystems such as ext2/3/4. So it would be better to replace "tune2fs -l" with "blkid" in the implementation of get-e2uuid. 

Version-Release number of selected component (if applicable):
><fs> version 
major: 1
minor: 2
release: 7
extra: 


How reproducible:
Always

Steps to Reproduce:
1. ><fs> mke2journal 1024 /dev/VG/jounal
2. ><fs> get-e2uuid /dev/VG/jounal
libguestfs: error: get_e2uuid: tune2fs: Filesystem has unsupported feature(s) while trying to open /dev/VG/jounal
Couldn't find valid filesystem superblock.

3.
  
Actual results:


Expected results:
get-e2uuid should return UUID successfully for JBD

Additional info:

Comment 1 Richard W.M. Jones 2010-06-01 14:39:07 UTC
Patches posted upstream:
https://www.redhat.com/archives/libguestfs/2010-June/msg00006.html

Comment 2 Richard W.M. Jones 2010-06-02 21:32:50 UTC
This patch has been pushed upstream.

If this needs to be fixed for RHEL 5 / 6, please clone
this bug and adjust the Product accordingly.


Note You need to log in before you can comment on or make changes to this bug.